%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-bandcamp
Version:        2.2
Release:        4%{?dist}
Summary:        Bandcamp for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-bandcamp
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.11.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of Bandcamp into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppBandcamp.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppBandcamp.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/bandcamp/
%{_datadir}/dbus-1/services/%{unique_name}AppBandcamp.service


%changelog
* Thu May 10 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.2-4
- Rebuilt for new nuvolaruntime-4.11.0 and nuvolasdk-4.11.0

* Tue Aug 01 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-3
- rebuild for new version of nuvolasdk-4.6.0 and nuvolaruntime-4.6.0

* Thu Jul 27 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-2
- correct the extends/name-tag in %%{name}.metainfo.xml

* Sun Jul 02 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-1
- Update to 2.2-1

* Sat Jan 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.1-1
- initial build
